com.tibco.tibjms.admin

## Class DetailedTransactionInfo

- java.lang.Object
- - com.tibco.tibjms.admin.TransactionInfo
  - - com.tibco.tibjms.admin.DetailedTransactionInfo

-     public class DetailedTransactionInfo
      extends TransactionInfo

  This class represents the a transaction as it is present on the EMS server. In addition to TransactionInfo it contains more detail. Especially about Messages that are part of this transaction.
  Since:
    EMS 6.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DetailedTransactionInfo.ConsumerMessage` This class represents a Message that is about to be consumed on commit.
    `static class` | `DetailedTransactionInfo.ProducerMessage` This class represents a Message that is about to be produced on commit.
    `static class` | `DetailedTransactionInfo.XAMessage` Internal class extended by ConsumerMessage and ProducerMessage.

  - ### Field Summary

    - ### Fields inherited from class com.tibco.tibjms.admin.TransactionInfo

      `TRANSACTION_ACTIVE, TRANSACTION_ENDSUCCESS, TRANSACTION_PREPARED, TRANSACTION_ROLLBACKONLY, TRANSACTION_SUSPENDED, TRANSACTION_UNKNOWN`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DetailedTransactionInfo.ConsumerMessage[]` | `getConsumerMessages()` Get the list of messages that are about to be consumed on commit of this transaction.
    `DetailedTransactionInfo.ProducerMessage[]` | `getProducerMessages()` Get the list of messages that are about to be produced on commit of this transaction.
    `int` | `getRemainingTime()` Get the remaining time before this transaction times out.
    `boolean` | `hasTimeout()` Returns whether or not this transaction has a timeout associated with it.

    - ### Methods inherited from class com.tibco.tibjms.admin.TransactionInfo

      `from, getBranchQualifier, getFormatId, getGlobalTransactionId, getState, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getProducerMessages

          public DetailedTransactionInfo.ProducerMessage[] getProducerMessages()

      Get the list of messages that are about to be produced on commit of this transaction.
      Returns:
        the list of messages that are about to be produced on commit of this transaction. Null indicates that messages where not collected due to transaction state.

    - #### getConsumerMessages

          public DetailedTransactionInfo.ConsumerMessage[] getConsumerMessages()

      Get the list of messages that are about to be consumed on commit of this transaction.
      Returns:
        the list of messages that are about to be consumed on commit of this transaction. Null indicates that messages where not collected due to transaction state.

    - #### getRemainingTime

          public int getRemainingTime()

      Get the remaining time before this transaction times out.
      Returns:
        remaining time before timeout (in seconds).
      Since:
        EMS 6.3

    - #### hasTimeout

          public boolean hasTimeout()

      Returns whether or not this transaction has a timeout associated with it.
      Returns:
        true if a timeout exists
      Since:
        EMS 6.3

Copyright © Cloud Software Group, Inc. All rights reserved